Subject: bug#10956: make-mode.el - improve makefile-warn-suspicious-lines

From: jaalto <[email-masked]>
Date: Wed, 21 Mar 2012 14:52:42 -0400

On 2012-03-21 13:54, Stefan Monnier wrote:
| > Here is a small patch to check any extra whitespace at the beginning of
| > line.  The patch is against Emacs Vcs-Git ba7322c dated 2012-02-29.
| 
| I must be missing something.  All it does is change a "\t+$" to
| "[ \t]+$", so it's not really "at the beginning of line" (tho there's
| also a "^" in the regexp, so it really only applies to whitespace-only
| lines).
| I don't think we want to consider lines made up of spaces as suspicious.

It would be good if any whitespace only line were flagged as suspicious,
not just \t, like in:

    [SPACE][TAB][SPACE]
    [SPACE][TAB]
    [TAB][SPACE]
    [TAB]

These extra "whitespace" lines are easily missed unless
whitespace-mode is on.

Jari